Subject: [mobile-ip] Mipv6 issue #180: mark nodes that don't support HAO

From: Jari Arkko <[email-masked]>
Date: Fri, 29 Nov 2002 12:57:00 +0200

> >    recognize Home Address options.  If a mobile node receives an ICMP
 > >    Parameter Problem, Code 2, message from some node indicating that it
 > >    does not support the Home Address option, the mobile node SHOULD log
 > >    the error and then discard the ICMP message.
 >
 > Actually, if this happens, shouldn't the MN mark the CN as not
 > supporting RO at this point?

In this case we actually don't need that (may even be harmful).
The reason is that by the time we can even think of sending HAOs to the
CN, we must have run RR and sent a BU. Text in the draft requires CNs
to support HAO if they accept RR and BUs. So there is no legal way for
us to get Code 2 from the CN. Indeed, if I get a Code 2 in this situation
from someone, I could suspect a denial-of-service attack on my efficient
routing by someone spoofing ICMPs. So this is why logging the error is
more appropriate than immediate surrender to bidirectional tunneling ;-)

Jari